Package com.arms.config

## Class MybatisConfig

- java.lang.Object
- - com.arms.config.MybatisConfig

-     @Configuration
      @MapperScan(basePackages="com.arms.api.util.**.mapper",
                  sqlSessionFactoryRef="sqlSessionFactory",
                  sqlSessionTemplateRef="sqlSessionTemplate")
      public class MybatisConfig
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MybatisConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.zaxxer.hikari.HikariConfig` | `hikariConfig()` |
    `javax.sql.DataSource` | `onlyMybatisDataSource()` |
    `org.apache.ibatis.session.SqlSessionFactory` | `sqlSessionFactory()` |
    `org.mybatis.spring.SqlSessionTemplate` | `sqlSessionTemplate​(org.apache.ibatis.session.SqlSessionFactory sqlSessionFactory)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MybatisConfig

          public MybatisConfig()

  - ### Method Detail

    - #### hikariConfig

          @Bean
          @ConfigurationProperties(prefix="spring.datasource.hikari")
          public com.zaxxer.hikari.HikariConfig hikariConfig()

    - #### onlyMybatisDataSource

          @Bean
          public javax.sql.DataSource onlyMybatisDataSource()

    - #### sqlSessionFactory

          @Bean
          public org.apache.ibatis.session.SqlSessionFactory sqlSessionFactory()
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### sqlSessionTemplate

          @Bean
          public org.mybatis.spring.SqlSessionTemplate sqlSessionTemplate​(@Qualifier("sqlSessionFactory")
                                                                          org.apache.ibatis.session.SqlSessionFactory sqlSessionFactory)
                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`